SystemOrganization addCategory: #Roassal2GT!
SystemOrganization addCategory: 'Roassal2GT-Glamour'!
SystemOrganization addCategory: 'Roassal2GT-Glamour-Actions'!
SystemOrganization addCategory: 'Roassal2GT-Inspector'!
SystemOrganization addCategory: 'Roassal2GT-Spotter'!

!RTShapeBuilderExample class methodsFor: '*Roassal2GT-Inspector' stamp: 'StefanReichhart 9/7/2015 21:31'!
gtExamplesSource
	^ RTShapeBuilder! !

!RTGrapherExample class methodsFor: '*Roassal2GT-Inspector' stamp: 'StefanReichhart 9/6/2015 20:36'!
gtExamplesSource
	^ RTGrapher! !

!RTMenuBuilder class methodsFor: '*Roassal2GT-Inspector' stamp: 'StefanReichhart 9/7/2015 21:24'!
gtExamplesProvider
	^ RTMenuBuilderExamples new! !

RTObject subclass: #GLMRoassal2Action
	instanceVariableNames: 'roassalPresentation'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Roassal2GT-Glamour-Actions'!

GLMRoassal2Action subclass: #GLMAbstractExportingAction
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Roassal2GT-Glamour-Actions'!

!GLMAbstractExportingAction methodsFor: 'hooks' stamp: 'AlexandreBergel 10/23/2015 19:24'!
doExportToFull: fileName

	self subclassResponsibility! !

!GLMAbstractExportingAction methodsFor: 'hooks' stamp: 'AlexandreBergel 10/24/2015 20:20'!
execute
	| fileName |
	fileName := UITheme builder 
						fileSave: 'Enter the ', self titleExtension,' file name'
						extensions: self extensions
						path: nil.
	fileName notNil ifTrue: [ 
		self doExportToFull: fileName fullName ]! !

!GLMAbstractExportingAction methodsFor: 'hooks' stamp: 'AlexandreBergel 10/23/2015 19:22'!
extensions
	"
	May return for example: #('png')
	"
	^ #()! !

!GLMAbstractExportingAction methodsFor: 'hooks' stamp: 'AlexandreBergel 10/23/2015 19:21'!
title
	^ 'Export to ', self titleExtension! !

!GLMAbstractExportingAction methodsFor: 'hooks' stamp: 'AlexandreBergel 10/23/2015 19:21'!
titleExtension
	^ 'TOOVERRIDE'! !

GLMAbstractExportingAction subclass: #GLMHTMLExporting2Action
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Roassal2GT-Glamour-Actions'!

!GLMHTMLExporting2Action methodsFor: 'hooks' stamp: 'AlexandreBergel 10/24/2015 19:52'!
doExportToFull: fileName
	RTHTML5Exporter new 
		directory: fileName parent;
		fileName: fileName basename; 
		export: self roassalView.
! !

!GLMHTMLExporting2Action methodsFor: 'hooks' stamp: 'AlexandreBergel 10/24/2015 19:51'!
extensions
	^ #('html')! !

!GLMHTMLExporting2Action methodsFor: 'hooks' stamp: 'AlexandreBergel 10/24/2015 19:55'!
titleExtension
	^ 'HTML...'! !

GLMAbstractExportingAction subclass: #GLMPNGExportingAction
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Roassal2GT-Glamour-Actions'!

!GLMPNGExportingAction methodsFor: 'hooks' stamp: 'AlexandreBergel 10/23/2015 19:24'!
doExportToFull: fileName

	RTPNGExporter new 
				builder: self roassalView;
				fileName: fileName fullName;
				exportToFile.! !

!GLMPNGExportingAction methodsFor: 'as yet unclassified' stamp: 'AlexandreBergel 10/23/2015 19:22'!
extensions
	^ #('png')! !

!GLMPNGExportingAction methodsFor: 'as yet unclassified' stamp: 'AlexandreBergel 10/23/2015 19:21'!
titleExtension
	^ 'PNG'
	! !

GLMAbstractExportingAction subclass: #GLMSVGExportingAction
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Roassal2GT-Glamour-Actions'!

!GLMSVGExportingAction methodsFor: 'hooks' stamp: 'AlexandreBergel 10/23/2015 19:24'!
doExportToFull: fileName

	RTSVGExporter 
		exportBuilderAsSVG: self roassalView
		filename: fileName fullName! !

!GLMSVGExportingAction methodsFor: 'hooks' stamp: 'AlexandreBergel 10/23/2015 19:25'!
extensions
	^ #('SVG')! !

!GLMSVGExportingAction methodsFor: 'hooks' stamp: 'AlexandreBergel 10/23/2015 19:25'!
titleExtension
	^ 'SVG'
	! !

GLMRoassal2Action subclass: #GLMCameraCenterAction
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Roassal2GT-Glamour-Actions'!

!GLMCameraCenterAction methodsFor: 'hooks' stamp: 'AlexandreBergel 10/23/2015 18:58'!
execute
	self trachelCanvas focusOnCenterScaled.
	self roassalUpdate! !

!GLMCameraCenterAction methodsFor: 'hooks' stamp: 'AlexandreBergel 10/23/2015 18:59'!
icon
	^ GLMUIThemeExtraIcons glamorousZoomToFit! !

!GLMCameraCenterAction methodsFor: 'hooks' stamp: 'AlexandreBergel 10/27/2015 11:56'!
order
	^ 6! !

!GLMCameraCenterAction methodsFor: 'hooks' stamp: 'AlexandreBergel 10/23/2015 18:59'!
title
	^ 'Camera center'! !

GLMRoassal2Action subclass: #GLMFindInViewAction
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Roassal2GT-Glamour-Actions'!

!GLMFindInViewAction methodsFor: 'hooks' stamp: 'AlexandreBergel 10/27/2015 21:11'!
execute
	GTSpotterMorph new
          extent: 400@500;
          spotterModel: (GTSpotter on: self roassalView);
          openCenteredInWorld! !

!GLMFindInViewAction methodsFor: 'hooks' stamp: 'AlexandreBergel 10/27/2015 21:09'!
icon
	^ GLMUIThemeExtraIcons glamorousInspect! !

!GLMFindInViewAction methodsFor: 'hooks' stamp: 'AlexandreBergel 10/27/2015 21:09'!
order
	^ 50! !

!GLMFindInViewAction methodsFor: 'hooks' stamp: 'AlexandreBergel 10/27/2015 21:10'!
title
	^ 'Find'! !

GLMRoassal2Action subclass: #GLMHTMLExportingAction
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Roassal2GT-Glamour-Actions'!

!GLMHTMLExportingAction methodsFor: 'hooks' stamp: 'AlexandreBergel 10/24/2015 19:44'!
execute
	| fileName |
	fileName := (RTHTML5Exporter new export: self roassalView) asUrl.
	self openIfPossible: fileName.! !

!GLMHTMLExportingAction methodsFor: 'hooks' stamp: 'AlexandreBergel 10/24/2015 19:47'!
openIfPossible: fileName
	"
	By Sean
	
	Gofer it
	smalltalkhubUser: 'SeanDeNigris' project: 'SeansPlayground';
	package: 'NewExternalWebBrowser';
	load.

	'http://google.com' asUrl open.
	"
	
	#NewExternalWebBrowser asClassIfPresent: [ :cls | fileName asUrl open ].
	#NewExternalWebBrowser asClassIfAbsent: [ 
		self inform: 'Try to load NewExternalWebBrowser to fast open of this file' ].! !

!GLMHTMLExportingAction methodsFor: 'hooks' stamp: 'AlexandreBergel 10/24/2015 19:45'!
title
	^ 'Export to HTML'! !

GLMRoassal2Action subclass: #GLMInspectViewAction
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Roassal2GT-Glamour-Actions'!

!GLMInspectViewAction methodsFor: 'hooks' stamp: 'AlexandreBergel 10/24/2015 19:53'!
execute
	self roassalView inspect! !

!GLMInspectViewAction methodsFor: 'hooks' stamp: 'AlexandreBergel 10/24/2015 19:53'!
title
	^ 'Inspect View'! !

!GLMRoassal2Action class methodsFor: 'initialization' stamp: 'AlexandreBergel 10/24/2015 19:40'!
allLeafSubclasses
	^ self allSubclasses select: #isLeaf! !

!GLMRoassal2Action class methodsFor: 'initialization' stamp: 'AlexandreBergel 10/24/2015 19:40'!
initializePresentation: aRoassal2Presentation
	| instances orderedInstances |
	instances := self allLeafSubclasses collect: #new.
	orderedInstances := instances sortedAs: #order.
	orderedInstances
		do:
			[ :inst | 
			inst roassalPresentation: aRoassal2Presentation.
			inst icon notNil
				ifTrue:
					[ aRoassal2Presentation
						act: [ :r | inst execute ]
						icon: inst icon
						entitled: inst title ]
				ifFalse:
					[ aRoassal2Presentation
						act: [ :r | inst execute ]
						entitled: inst title ] ]! !

!GLMRoassal2Action class methodsFor: 'testing' stamp: 'AlexandreBergel 10/24/2015 19:39'!
isLeaf
	^ self subclasses size = 0! !

!GLMRoassal2Action methodsFor: 'hooks' stamp: 'AlexandreBergel 10/23/2015 18:53'!
execute
	"Override please"
	self subclassReponsibility! !

!GLMRoassal2Action methodsFor: 'hooks' stamp: 'AlexandreBergel 10/23/2015 18:53'!
icon
	"Override please"
	^ nil! !

!GLMRoassal2Action methodsFor: 'hooks' stamp: 'AlexandreBergel 10/23/2015 19:12'!
order
	^ 10! !

!GLMRoassal2Action methodsFor: 'accessing' stamp: 'AlexandreBergel 10/23/2015 18:52'!
roassalPresentation
	^ roassalPresentation! !

!GLMRoassal2Action methodsFor: 'accessing' stamp: 'AlexandreBergel 10/23/2015 18:52'!
roassalPresentation: anObject
	roassalPresentation := anObject! !

!GLMRoassal2Action methodsFor: 'do' stamp: 'AlexandreBergel 10/23/2015 19:08'!
roassalUpdate
	self roassalView signalUpdate ! !

!GLMRoassal2Action methodsFor: 'accessing' stamp: 'AlexandreBergel 10/23/2015 18:55'!
roassalView
	"Return the roassal view. Handy to be used in the actions"
	^ self roassalPresentation view view! !

!GLMRoassal2Action methodsFor: 'hooks' stamp: 'AlexandreBergel 10/23/2015 18:53'!
title
	"Override please"
	^ 'Unamed'! !

!GLMRoassal2Action methodsFor: 'accessing' stamp: 'AlexandreBergel 10/23/2015 18:58'!
trachelCanvas
	^ self roassalView canvas! !

GLMRoassal2Action subclass: #GLMZoomInAction
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Roassal2GT-Glamour-Actions'!

!GLMZoomInAction methodsFor: 'hooks' stamp: 'AlexandreBergel 10/23/2015 19:11'!
execute
	RTZoomInMove on: self roassalView! !

!GLMZoomInAction methodsFor: 'hooks' stamp: 'AlexandreBergel 10/23/2015 18:56'!
icon
	^ GLMUIThemeExtraIcons glamorousZoomIn! !

!GLMZoomInAction methodsFor: 'hooks' stamp: 'AlexandreBergel 10/23/2015 19:12'!
order
	^ 1! !

!GLMZoomInAction methodsFor: 'hooks' stamp: 'AlexandreBergel 10/23/2015 18:56'!
title
	^ 'Zoom in'! !

GLMRoassal2Action subclass: #GLMZoomOutAction
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Roassal2GT-Glamour-Actions'!

!GLMZoomOutAction methodsFor: 'hooks' stamp: 'AlexandreBergel 10/23/2015 18:58'!
execute
	RTZoomOutMove on: self roassalView! !

!GLMZoomOutAction methodsFor: 'hooks' stamp: 'AlexandreBergel 10/23/2015 19:10'!
icon
	^ GLMUIThemeExtraIcons glamorousZoomOut! !

!GLMZoomOutAction methodsFor: 'hooks' stamp: 'AlexandreBergel 10/23/2015 19:12'!
order
	^ 5! !

!GLMZoomOutAction methodsFor: 'hooks' stamp: 'AlexandreBergel 10/23/2015 18:56'!
title
	^ 'Zoom in'! !

!RTObject class methodsFor: '*Roassal2GT-Inspector' stamp: 'StefanReichhart 9/6/2015 20:52'!
gtExamplesFinder
	^ RTExampleFinder new
		source: self gtExamplesSource;
		provider: self gtExamplesProvider;
		subjects: self gtExamplesSubjects;
		yourself! !

!RTMenuBuilderExamples class methodsFor: '*Roassal2GT-Inspector' stamp: 'StefanReichhart 9/7/2015 21:13'!
gtExamplesSource
	^ RTMenuBuilder! !

!RTGradientColoredLineExample class methodsFor: '*Roassal2GT-Inspector' stamp: 'StefanReichhart 9/6/2015 20:36'!
gtExamplesSource
	^ RTGradientColoredLine! !

GLMMorphicTest subclass: #GLMRoassal2MorphicTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Roassal2GT-Glamour'!

!GLMRoassal2MorphicTest commentStamp: '' prior: 0!
A GLMRoassalMorphicTest is xxxxxxxxx.
!

!GLMRoassal2MorphicTest methodsFor: 'tests' stamp: 'TudorGirba 2/13/2014 08:47'!
testCanvas
	| composer roassalMorph |
	composer := GLMCompositePresentation new.
	composer roassal2 painting: [:view :input | view add: RTElement new].
	window := composer openOn: 42.

	roassalMorph := self find: TRMorph in: window.
	self assert: (roassalMorph isKindOf: TRMorph)! !

!GLMRoassal2MorphicTest methodsFor: 'tests' stamp: 'AlexandreBergel 3/20/2015 15:08'!
testMondrianViewBuilder
	| composite |
	composite := GLMCompositePresentation new.
	composite roassal2 
					initializeView: [ RTMondrian new ];
					painting: [ :view | view nodes: (1 to: 42) ].
	window := composite openOn: 42.
	self assert: composite first view class = RTMondrian.
	self assert: composite first view view elements size = 42! !

!GLMRoassal2MorphicTest methodsFor: 'tests' stamp: 'AlexandreBergel 1/1/2015 20:08'!
testOpenTitled
	| v |
	v :=  RTBuilder new view.
	window := v openTitled: 'hello'! !

!GLMRoassal2MorphicTest methodsFor: 'tests' stamp: 'AlexandreBergel 1/1/2015 20:07'!
testOpenWithToolbarEntitled

	window := RTBuilder new openWithToolbarEntitled: 'hello'! !

!GLMRoassal2MorphicTest methodsFor: 'tests' stamp: 'AlexandreBergel 1/1/2015 20:09'!
testOpenWithToolbarEntitled02

	| v |
	v := RTView new.
	
	window := v openWithToolbarEntitled: 'hello'! !

!GLMRoassal2MorphicTest methodsFor: 'tests' stamp: 'TudorGirba 2/13/2014 08:47'!
testRoassalPresentationConstructor
	| composite |
	composite := GLMCompositePresentation new.
	composite roassal2.
	self assert: composite presentations size equals: 1.
	self assert: (composite presentations anyOne isKindOf: GLMRoassal2Presentation)! !

!GLMRoassal2MorphicTest methodsFor: 'tests' stamp: 'TudorGirba 2/13/2014 08:53'!
testUpdateUsesNewView
	| browser originalView newView |
	browser := GLMWrapper new.
	browser show: [ :a | 
		a roassal2 painting: [:view :roassal2 :input | view add: RTElement new ]].
	window := browser openOn: $d.

	originalView := (self find: TRMorph in: window) trachelCanvas.
	browser panes first presentations first update.
	newView := (self find: TRMorph in: window) trachelCanvas.
	
	self assert: newView ~~ originalView
! !

!GLMRoassal2MorphicTest methodsFor: 'tests' stamp: 'TudorGirba 10/26/2014 23:35'!
testUpdateViewIsProperlyLaidOut
	| browser originalView newView |
	browser := GLMTabulator new.
	browser column: #one.
	browser transmit
		to: #one;
		andShow: [ :a | a roassal2 painting: [ :view :input | 
			view addAll: (RTBox elementsOn: ($a to: input)).
			RTHorizontalLineLayout on: view elements ] ].
	window := browser openOn: $d.
	originalView := browser panes first presentations first view.
	self assert: (originalView elements detect: [ :each | each model = $b ]) center x equals: 17.5.
	browser panes first presentations first update.
	newView := browser panes first presentations first view.
	self assert: (newView elements detect: [ :each | each model = $b ]) center x equals: 17.5! !

!GLMRoassal2MorphicTest methodsFor: 'tests' stamp: 'TudorGirba 4/20/2015 07:30'!
testZoomingActionsWorkForMondrianBuilder
	| composite |
	composite := GLMCompositePresentation new.
	composite roassal2 initializeView: RTMondrian new.
	window := composite openOn: 42.
	self assert: composite first actions notEmpty.
	"these are the zooming actions"
	self shouldnt: (composite first actions first actOn: composite first) raise: Error.
	self shouldnt: (composite first actions second actOn: composite first) raise: Error.
	self shouldnt: (composite first actions third actOn: composite first) raise: Error
! !

!GLMRoassal2MorphicTest methodsFor: 'tests' stamp: 'TudorGirba 4/20/2015 07:30'!
testZoomingActionsWorkForView
	| composite |
	composite := GLMCompositePresentation new.
	composite roassal2.
	window := composite openOn: 42.
	self assert: composite first actions notEmpty.
	"these are the zooming actions"
	self shouldnt: (composite first actions first actOn: composite first) raise: Error.
	self shouldnt: (composite first actions second actOn: composite first) raise: Error.
	self shouldnt: (composite first actions third actOn: composite first) raise: Error
! !

!RTPieExample class methodsFor: '*Roassal2GT-Inspector' stamp: 'StefanReichhart 9/6/2015 20:34'!
gtExamplesSource
	^ RTPieBuilder! !

!RTSVGPath class methodsFor: '*Roassal2GT-Inspector' stamp: 'StefanReichhart 9/6/2015 20:11'!
gtExamplesProvider

	^ RTSVGExample new! !

!RTGrapher class methodsFor: '*Roassal2GT-Inspector' stamp: 'StefanReichhart 9/6/2015 20:13'!
gtExamplesProvider

	^ RTGrapherExample new! !

!RTLayoutExample class methodsFor: '*Roassal2GT-Inspector' stamp: 'StefanReichhart 9/6/2015 20:35'!
gtExamplesSource
	^ RTLayout! !

!RTExploraBuilder class methodsFor: '*Roassal2GT-Inspector' stamp: 'StefanReichhart 9/6/2015 20:13'!
gtExamplesProvider

	^ RTExploraBuilderExample new! !

!RTScrollBarBuilder class methodsFor: '*Roassal2GT-Inspector' stamp: 'StefanReichhart 9/7/2015 21:25'!
gtExamplesProvider
	^ RTScrollBarBuilderExamples new! !

!RTMapBuilder class methodsFor: '*Roassal2GT-Inspector' stamp: 'StefanReichhart 9/6/2015 20:13'!
gtExamplesProvider

	^ RTMapExample new! !

!RTScrollBarBuilderExamples class methodsFor: '*Roassal2GT-Inspector' stamp: 'StefanReichhart 9/7/2015 21:12'!
gtExamplesSource
	^ RTScrollBarBuilder! !

!RTComposerExample class methodsFor: '*Roassal2GT-Inspector' stamp: 'StefanReichhart 9/6/2015 20:37'!
gtExamplesSource
	^ RTComposer! !

!RTAxisAdaptedBuilder class methodsFor: '*Roassal2GT-Inspector' stamp: 'StefanReichhart 9/6/2015 20:14'!
gtExamplesProvider

	^ RTAxisAdaptedBuilderExample new! !

!RTSVGExporter class methodsFor: '*Roassal2GT-Inspector' stamp: 'StefanReichhart 9/7/2015 21:25'!
gtExamplesProvider
	^ RTSVGExporterExample new! !

GLMPresentation subclass: #GLMRoassal2Presentation
	instanceVariableNames: 'painting paintingBlock view shouldPopulateSelection newViewBlock'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Roassal2GT-Glamour'!

!GLMRoassal2Presentation commentStamp: '' prior: 0!
A GLMRoassalPresentation is xxxxxxxxx.

Instance Variables
	newViewBlock:		<Object>
	painting:		<Object>
	paintingBlock:		<Object>
	shouldPopulateSelection:		<Object>
	view:		<Object>

newViewBlock
	- xxxxx

painting
	- xxxxx

paintingBlock
	- xxxxx

shouldPopulateSelection
	- xxxxx

view
	- xxxxx
!

!GLMRoassal2Presentation methodsFor: 'initialize-release' stamp: 'AlexandreBergel 10/24/2015 20:27'!
defaultActions
	GLMRoassal2Action initializePresentation: self! !

!GLMRoassal2Presentation methodsFor: 'initialize-release' stamp: 'TudorGirba 4/15/2014 07:39'!
initialize 
	super initialize.
	newViewBlock := [ RTView new ].
	shouldPopulateSelection := true.
	self defaultActions! !

!GLMRoassal2Presentation methodsFor: 'accessing' stamp: 'TudorGirba 2/13/2014 07:05'!
initializeView: aZeroArgBlock
	^ newViewBlock := aZeroArgBlock ! !

!GLMRoassal2Presentation methodsFor: 'accessing' stamp: 'TudorGirba 2/13/2014 07:05'!
newView
	view := nil.
	^ self view! !

!GLMRoassal2Presentation methodsFor: 'accessing' stamp: 'TudorGirba 2/13/2014 07:05'!
newViewBlock
	^ newViewBlock! !

!GLMRoassal2Presentation methodsFor: 'initialize-release' stamp: 'akevalion 7/14/2015 10:01'!
openIfPossible: fileName
	"
	By Sean
	
	Gofer it
	smalltalkhubUser: 'SeanDeNigris' project: 'SeansPlayground';
	package: 'NewExternalWebBrowser';
	load.

	'http://google.com' asUrl open.
	"
	
	#NewExternalWebBrowser asClassIfPresent: [ :cls | fileName asUrl open ].
	#NewExternalWebBrowser asClassIfAbsent: [ 
		self inform: 'Try to load NewExternalWebBrowser to fast open of this file' ].! !

!GLMRoassal2Presentation methodsFor: 'scripting' stamp: 'TudorGirba 2/13/2014 07:05'!
painting: anObject
	paintingBlock := anObject! !

!GLMRoassal2Presentation methodsFor: 'accessing' stamp: 'TudorGirba 2/13/2014 07:05'!
paintingBlock
	^ paintingBlock! !

!GLMRoassal2Presentation methodsFor: 'rendering' stamp: 'TudorGirba 2/13/2014 07:17'!
renderGlamorouslyOn: aRenderer
	self registerAnnouncements.
	^ aRenderer renderRoassal2Presentation: self! !

!GLMRoassal2Presentation methodsFor: 'accessing' stamp: 'AlexandreBergel 10/23/2015 18:48'!
renderOn: aView
	self paintingBlock glamourValue: (
								aView asGlamorousMultiValue, 
								self entity asGlamorousMultiValue,
								self asGlamorousMultiValue ).
	aView build.
	self shouldPopulateSelection ifTrue: [
		aView view elements do: [:each |  
			each when: TRMouseLeftClick do: [:event | 
				each model ifNotNil: [ self selection: each model ] ] ] ].
	self view: aView! !

!GLMRoassal2Presentation methodsFor: 'accessing' stamp: 'TudorGirba 2/13/2014 08:41'!
shouldPopulateSelection
	^ shouldPopulateSelection! !

!GLMRoassal2Presentation methodsFor: 'accessing' stamp: 'AlexandreBergel 10/23/2015 18:47'!
shouldPopulateSelection: aBoolean
	"Configure whether elements present in the view should be clickable or not"
	shouldPopulateSelection := aBoolean! !

!GLMRoassal2Presentation methodsFor: 'accessing' stamp: 'TudorGirba 2/13/2014 07:05'!
view
	^ view ifNil: [ view := self newViewBlock value ]! !

!GLMRoassal2Presentation methodsFor: 'accessing' stamp: 'AlexandreBergel 10/23/2015 18:45'!
view: aRTView
	view := aRTView! !

!RTOSM class methodsFor: '*Roassal2GT-Inspector' stamp: 'StefanReichhart 9/7/2015 21:25'!
gtExamplesProvider
	^ RTOpenStreeMapExample new! !

!RTSBFadeInteraction class methodsFor: '*Roassal2GT-Inspector' stamp: 'StefanReichhart 9/7/2015 21:25'!
gtExamplesProvider
	^ RTSBFadeInteractionExamples new! !

GLMScriptingEditorTemplate subclass: #GLMRoassal2Easel
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Roassal2GT-Glamour'!

!GLMRoassal2Easel methodsFor: 'building' stamp: 'TudorGirba 10/4/2014 08:16'!
defaultScriptBindings
	^ {#view -> RTView new}! !

!GLMRoassal2Easel methodsFor: 'building' stamp: 'TudorGirba 10/4/2014 08:33'!
defaultScriptDisplayIn: aPresentation
	^ aPresentation 
		display: 'view';
		morphicAct: [:text | RTRoassalExample new open ] icon: GLMUIThemeExtraIcons glamorousExample entitled: 'Browse basic examples'! !

!GLMRoassal2Easel methodsFor: 'building' stamp: 'TudorGirba 10/4/2014 08:15'!
defaultTitle
	^ 'Roassal Easel'! !

!GLMRoassal2Easel methodsFor: 'private' stamp: 'TudorGirba 10/4/2014 08:29'!
evaluate: script in: context for: view
	| message |
	^ [ (Smalltalk compiler requestor: self) evaluate: script in: context to: context ]
		on: Error
		do: [ :e | 
			message := e class name , ': ' , e messageText.
			self inform: message.
			view add: (RTLabel new text: message; color: Color red; element) ]! !

!GLMRoassal2Easel methodsFor: 'building' stamp: 'TudorGirba 10/4/2014 08:17'!
resultIn: a
	^ a roassal2
		title: 'View';
		painting: [ :view :bindings :script | 
					| context |
					context := GLMDoItContext with: #view -> view withAll: bindings.
					self evaluate: script in: context for: view ]! !

!RTDepMatrix class methodsFor: '*Roassal2GT-Inspector' stamp: 'StefanReichhart 9/7/2015 21:24'!
gtExamplesProvider
	^ RTDepMatrixExample new! !

!CPQualitative class methodsFor: '*Roassal2GT-Inspector' stamp: 'StefanReichhart 9/6/2015 17:14'!
gtExampleColorPalette
	<gtExample>
	<label: 'Colors: qualititive scheme'>
	
	^ self new! !

!CPQualitative methodsFor: '*Roassal2GT-Inspector' stamp: 'TudorGirba 4/25/2014 15:16'!
gtInspectorPreviewIn: composite
	<gtInspectorPresentationOrder: 40>
	composite roassal2
		title: 'View';
		painting: [ :view | self viewOn: view ]! !

!RTTextBuilderExamples class methodsFor: '*Roassal2GT-Inspector' stamp: 'StefanReichhart 9/7/2015 21:09'!
gtExamplesSource
	^ RTTextBuilder! !

!RTBuilder class methodsFor: '*Roassal2GT-Inspector' stamp: 'StefanReichhart 9/6/2015 17:25'!
gtExampleBuilder
	<gtExample>
	<label: 'Example builder'>
	
	^ self new! !

!RTBuilder methodsFor: '*Roassal2GT-Inspector' stamp: 'TudorGirba 10/5/2014 12:16'!
gtInspectorViewIn: composite
	<gtInspectorPresentationOrder: -10>
	composite roassal2
		title: 'View';
		initializeView: [ self ]! !

!RTBuilder methodsFor: '*Roassal2GT-Glamour' stamp: 'TudorGirba 10/5/2014 12:16'!
openWithToolbar
	^ GLMCompositePresentation new 
		title: 'Roassal painting';
		with: [:composite |
			composite roassal2 initializeView: [ self ] ];
		openOn: self! !

!RTBuilder methodsFor: '*Roassal2GT-Glamour' stamp: 'TudorGirba 10/5/2014 12:16'!
openWithToolbarEntitled: aTitle
	^ self openWithToolbar title: aTitle! !

!RTStackBarPlotExample class methodsFor: '*Roassal2GT-Inspector' stamp: 'StefanReichhart 9/6/2015 20:34'!
gtExamplesSource
	^ RTStackBarPlot! !

!RTOpenStreeMapExample class methodsFor: '*Roassal2GT-Inspector' stamp: 'StefanReichhart 9/6/2015 20:34'!
gtExamplesSource
	^ RTOSM! !

!RTScrollPadBuilder class methodsFor: '*Roassal2GT-Inspector' stamp: 'StefanReichhart 9/7/2015 21:26'!
gtExamplesProvider
	^ RTScrollPadBuilderExamples new! !

!RTScrollPadBuilderExamples class methodsFor: '*Roassal2GT-Inspector' stamp: 'StefanReichhart 9/7/2015 21:12'!
gtExamplesSource
	^ RTScrollPadBuilder! !

!RTDepMatrixExample class methodsFor: '*Roassal2GT-Inspector' stamp: 'StefanReichhart 9/7/2015 21:05'!
gtExamplesSource
	^ RTDepMatrix! !

!RTCompositeShape class methodsFor: '*Roassal2GT-Inspector' stamp: 'StefanReichhart 9/6/2015 20:13'!
gtExamplesProvider

	^ RTComposedShapeExample new! !

!RTStackBarPlot class methodsFor: '*Roassal2GT-Inspector' stamp: 'StefanReichhart 9/6/2015 20:13'!
gtExamplesProvider
	
	^ RTStackBarPlotExample new! !

!RTPieBuilder class methodsFor: '*Roassal2GT-Inspector' stamp: 'StefanReichhart 9/6/2015 20:13'!
gtExamplesProvider

	^ RTPieExample new! !

!RTTreeMapExample class methodsFor: '*Roassal2GT-Inspector' stamp: 'StefanReichhart 9/6/2015 20:33'!
gtExamplesSource
	^ RTTreeMapBuilder! !

!RTBoxPlotExample class methodsFor: '*Roassal2GT-Inspector' stamp: 'StefanReichhart 9/6/2015 20:38'!
gtExamplesSource
	^ RTBoxPlotDataSet! !

GLMMorphicWidgetRenderer subclass: #GLMMorphicRoassal2Renderer
	instanceVariableNames: 'myMorph'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Roassal2GT-Glamour'!

!GLMMorphicRoassal2Renderer commentStamp: '' prior: 0!
A GLMMorphicRoassalRenderer is xxxxxxxxx.

Instance Variables
	myMorph:		<Object>

myMorph
	- xxxxx
!

!GLMMorphicRoassal2Renderer methodsFor: 'rendering' stamp: 'SergeStinckwich 6/19/2014 23:25'!
actOnPresentationUpdate: ann
	| aView canvas |
	aView := ann presentation newViewBlock value.
	ann presentation renderOn: aView.
	canvas := aView view setUpCanvas.
	myMorph 
		canvas: canvas;
		extent: canvas extent.
		! !

!GLMMorphicRoassal2Renderer methodsFor: 'rendering' stamp: 'AlexandreBergel 9/4/2015 18:38'!
render: aRoassalPresentation
	| view |
	view := aRoassalPresentation view.
	aRoassalPresentation renderOn: view.
	aRoassalPresentation when: GLMPresentationUpdated send: #actOnPresentationUpdate: to: self.
	^ myMorph := view view setUpCanvas buildMorph! !

!RTView class methodsFor: '*Roassal2GT-Inspector' stamp: 'StefanReichhart 9/6/2015 17:26'!
gtExampleEmptyView
	<gtExample>
	<label: 'Empty view'>
	
	^ self new! !

!RTView methodsFor: '*Roassal2GT-Inspector' stamp: 'TudorGirba 11/1/2014 23:12'!
gtInspectorElementsHierarchyIn: composite
	<gtInspectorPresentationOrder: 20>
	composite table 
		title: 'Elements';
		showOnly: 50;
		display: [ :each | each elements ];
		children: #nestedElements;
		column: 'Model' evaluated: [ :each | each model asString ];
		column: 'Shape' evaluated: [ :each | each shape asString ]! !

!RTView methodsFor: '*Roassal2GT-Inspector' stamp: 'AlexandreBergel 3/31/2014 14:24'!
gtInspectorViewIn: composite
	<gtInspectorPresentationOrder: -10>
	composite roassal2
		title: 'View';
		initializeView: [ self ]
		! !

!RTView methodsFor: '*Roassal2GT-Glamour' stamp: 'TudorGirba 10/7/2014 08:00'!
openWithToolbar
	^ GLMCompositePresentation new 
		title: 'Roassal painting';
		with: [:composite | composite roassal2 initializeView: [self ] ];
		openOn: self! !

!RTView methodsFor: '*Roassal2GT-Glamour' stamp: 'TudorGirba 10/7/2014 07:38'!
openWithToolbarEntitled: aTitle
	^ self openWithToolbar title: aTitle! !

!RTView methodsFor: '*Roassal2GT-Spotter' stamp: 'StefanReichhart 2/24/2015 14:46'!
spotterElementsFor: aStep
	<spotterOrder: 10>
	^ aStep listProcessor
		title: 'Elements';
		candidatesLimit: 100;
		allCandidates: [ self elements ];
		itemName: [ :each | each model gtDisplayString ];
		filter: GTFilterSubstring;
		wantsToDisplayOnEmptyQuery: true! !

!RTView methodsFor: '*Roassal2GT-Spotter' stamp: 'AndreiChis 7/12/2015 00:10'!
spotterPreviewIn: aComposite
	<spotterPreview: 10>
	
	self build.
	aComposite addBrickBack: self view setUpCanvas buildMorph

	! !

!RTElement methodsFor: '*Roassal2GT-Spotter' stamp: 'AlexandreBergel 1/9/2015 18:08'!
spotterActDefault
	self view canvas camera translateTo: self position.
	RTBlink on: self.! !

!RTSVGExample class methodsFor: '*Roassal2GT-Inspector' stamp: 'StefanReichhart 9/6/2015 20:44'!
gtExamplesSource
	^ RTSVGPath! !

!RTMondrianViewBuilder class methodsFor: '*Roassal2GT-Inspector' stamp: 'TudorGirba 11/30/2014 18:01'!
gtInspectorMondrianExamplesIn: composite
	<gtInspectorPresentationOrder: 0>
	^ RTMondrianExample new gtInspectorPreviewIn: composite! !

GTExample subclass: #RTExampleSelection
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Roassal2GT-Inspector'!

!RTExampleSelection class methodsFor: 'examples' stamp: 'StefanReichhart 9/6/2015 17:25'!
gtExampleAtRandom
	<gtExample>
	<label: 'Random example'>
	
	^ RTAbstractExample subclasses atRandom new gtExamples atRandom! !

!RTExampleSelection class methodsFor: 'examples' stamp: 'StefanReichhart 9/8/2015 20:56'!
gtExampleFlags1
	<gtExample>
	<label: 'Example flags 1'>
	
	^ RTComposedShapeExample gtExamples
		detect: [ :example | example method selector = #exampleFlags ]
		ifNone: [ nil ]! !

!RTExampleSelection class methodsFor: 'examples' stamp: 'StefanReichhart 9/8/2015 23:40'!
gtExampleFlags2
	<gtExample>
	<label: 'Example flags 2'>
	
	^ (RTComposedShapeExample >> #exampleFlags) gtExamples first! !

!RTExampleSelection class methodsFor: 'examples' stamp: 'StefanReichhart 9/8/2015 23:40'!
gtExampleFlags3
	<gtExample>
	<label: 'Example flags 3'>
	
	^ (RTComposedShapeExample >> #exampleFlags) gtExample! !

!RTExampleSelection methodsFor: 'ui' stamp: 'AndreiChis 10/30/2015 14:04'!
gtDisplayPlaygroundIn: composite
	<gtInspectorPresentationOrder: 0>
	^ composite pharoScript
		title: 'Playground';
		format: [ 
			| sourceCode firstLine sourceCodeWithoutFirstLine |
			sourceCode := self method sourceCode.
			firstLine := sourceCode lines first.
			sourceCodeWithoutFirstLine := sourceCode copyFrom: firstLine size + 1 to: sourceCode size.
			sourceCodeWithoutFirstLine ];
		act: [ :text :page |
				text selectionInterval: (1 to: text text size).
				text evaluateSelectionAndDo: [ :anObject | text selection: anObject ] ]
			icon: GLMUIThemeExtraIcons glamorousGo
			on: $g
			entitled: 'Do it all and go (g)'
		! !

!RTExampleSelection methodsFor: 'ui' stamp: 'StefanReichhart 9/8/2015 21:37'!
gtInspectorRoassalViewIn: composite
	<gtInspectorPresentationOrder: -10>
	composite roassal2
		title: 'Canvas';
		initializeView: [ self returnValue ]
		! !

!RTExampleSelection methodsFor: 'ui' stamp: 'StefanReichhart 9/9/2015 20:13'!
gtInspectorViewIn: composite
	self deprecated: 'Please use #gtInspectorRoassalViewIn: instead'.
	^ self gtInspectorRoassalViewIn: composite! !

!RTExampleSelection methodsFor: '*Roassal2GT-Spotter' stamp: 'StefanReichhart 9/8/2015 21:12'!
gtSpotterPreviewIconIn: aComposite
	<spotterPreview: 10>
	(self provider class canPerform: (self selector, 'Icon') asSymbol)
		ifTrue: [ 
			aComposite addBrickBack: (self iconForm asAlphaImageMorph
				layout: #center;
				scale: 2.0) asBrick ]

	! !

!RTExampleSelection methodsFor: 'accessing' stamp: 'StefanReichhart 9/8/2015 20:49'!
icon
	form ifNil: [ self initializeIcon ].
	^ form! !

!RTExampleSelection methodsFor: 'public' stamp: 'StefanReichhart 9/9/2015 19:04'!
iconForm
	self deprecated: 'Please use #icon'.
	^ self icon! !

!RTExampleSelection methodsFor: 'public' stamp: 'StefanReichhart 9/6/2015 19:48'!
initializeIcon
	|icon64Mime|
	icon64Mime := self provider perform: (self method selector, 'Icon') asSymbol.
	form := TRPlatform current formClass fromBinaryStream: 
		(TRPlatform current mimeDecodeToBytes: icon64Mime readStream) ! !

!RTExampleSelection methodsFor: '*Roassal2GT-Spotter' stamp: 'StefanReichhart 9/6/2015 18:36'!
matchesQuery: aSetOfNames
	| sourceCode |
	
	sourceCode := self method sourceCode asLowercase.
	^ aSetOfNames allSatisfy: [ :each | sourceCode includesSubstring: each ]
! !

!RTExampleSelection methodsFor: '*Roassal2GT-Spotter' stamp: 'StefanReichhart 9/9/2015 20:14'!
spotterPreviewExampleIn: aComposite
	self deprecated: 'Please use #gtSpotterPreviewIconIn: instead'>
	self gtSpotterPreviewIconIn: aComposite
	! !

!RTAnimatedScatterPlot class methodsFor: '*Roassal2GT-Inspector' stamp: 'StefanReichhart 9/6/2015 20:14'!
gtExamplesProvider

	^ RTAnimatedScatterPlotExample new! !

!RTSpectrograph class methodsFor: '*Roassal2GT-Inspector' stamp: 'StefanReichhart 9/6/2015 20:12'!
gtExamplesProvider
	
	^ RTSpectrographExample new! !

GLMExamples subclass: #GLMRoassal2Examples
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Roassal2GT-Glamour'!

!GLMRoassal2Examples methodsFor: 'as yet unclassified' stamp: 'AlexandreBergel 3/20/2015 15:08'!
roassalPainting
	<glmBrowser: 'Roassal painting' input: '42'>
	"self new roassalPainting openOn: 42"
	| browser |
	browser := GLMTabulator withStatusbar.
	browser column: #one; column: #two.
	browser transmit to: #one; andShow: [ :a |
		a list 
			title: 'Select and trigger from menu';
			display: [:x | 1 to: x ];
			selectionAct: [:list | 
				| value |
				value := list selection * 10. "simulate some custom setup"
				(list pane port: #customSelection) value: value ] 
			entitled:  'Multiply by 10 and then send outside'
			].
	browser transmit to: #two; from: #one port: #customSelection; andShow: [ :a |
		a roassal2
			title: 'Numbers in Roassal';
			initializeView: [ RTMondrian new ];
			painting: [:view :number | 
				view shape label.
				view nodes: (1 to: number).
				view edges connectFrom: [:each | each // 5 ].
				view layout tree ] ].
	^ browser! !

!TRCanvas class methodsFor: '*Roassal2GT-Inspector' stamp: 'StefanReichhart 9/6/2015 17:27'!
gtExampleEmpty
	<gtExample>
	<label: 'Empty canvas'>
	
	^ TRCanvas new! !

!TRCanvas methodsFor: '*Roassal2GT-Inspector' stamp: 'AlexandreBergel 9/8/2014 11:41'!
gtInspectorViewIn: composite
	<gtInspectorPresentationOrder: -10>
	composite roassal2
		title: 'Canvas';
		initializeView: [ RTView new setCanvas: self ]
		! !

!RTShapeBuilder class methodsFor: '*Roassal2GT-Inspector' stamp: 'StefanReichhart 9/7/2015 21:27'!
gtExamplesProvider
	^ RTShapeBuilderExample new! !

!RTMondrianExample class methodsFor: '*Roassal2GT-Inspector' stamp: 'StefanReichhart 9/6/2015 20:13'!
gtExamplesProvider

	^ RTMondrianExample new! !

!RTMondrianExample class methodsFor: '*Roassal2GT-Inspector' stamp: 'StefanReichhart 9/6/2015 20:45'!
gtExamplesSource
	^ RTMondrianExample! !

!RTKiviatBuilderExample class methodsFor: '*Roassal2GT-Inspector' stamp: 'StefanReichhart 9/6/2015 20:36'!
gtExamplesSource
	^ RTKiviatBuilder! !

!RTSVGExporterExample class methodsFor: '*Roassal2GT-Inspector' stamp: 'StefanReichhart 9/7/2015 20:47'!
gtExamplesSource
	^ RTSVGExporter! !

!RTTextBuilder class methodsFor: '*Roassal2GT-Inspector' stamp: 'StefanReichhart 9/7/2015 21:26'!
gtExamplesProvider
	^ RTTextBuilderExamples new! !

!RTLayout class methodsFor: '*Roassal2GT-Inspector' stamp: 'StefanReichhart 9/6/2015 20:13'!
gtExamplesProvider

	^ RTLayoutExample new! !

!RTAnimatedScatterPlotExample class methodsFor: '*Roassal2GT-Inspector' stamp: 'StefanReichhart 9/6/2015 20:38'!
gtExamplesSource
	^ RTAnimatedScatterPlot! !

!RTKiviatBuilder class methodsFor: '*Roassal2GT-Inspector' stamp: 'StefanReichhart 9/6/2015 20:13'!
gtExamplesProvider

	^ RTKiviatBuilderExample new! !

!RTSunburstBuilder class methodsFor: '*Roassal2GT-Inspector' stamp: 'StefanReichhart 9/6/2015 20:13'!
gtExamplesProvider
	
	^ RTSunburstBuilderExamples new! !

!GLMCompositePresentation methodsFor: '*Roassal2GT-Glamour' stamp: 'TudorGirba 2/13/2014 07:06'!
roassal2
	^ self custom: GLMRoassal2Presentation new! !

!RTSpectrographExample class methodsFor: '*Roassal2GT-Inspector' stamp: 'StefanReichhart 9/6/2015 20:32'!
gtExamplesSource
	^ RTSpectrograph! !

!RTBoxPlotDataSet class methodsFor: '*Roassal2GT-Inspector' stamp: 'StefanReichhart 9/6/2015 20:14'!
gtExamplesProvider

	^ RTBoxPlotExample new! !

!GLMMorphicRenderer methodsFor: '*Roassal2GT-Glamour' stamp: 'TudorGirba 2/13/2014 07:13'!
renderRoassal2Presentation: aPresentation
	^ GLMMorphicRoassal2Renderer render: aPresentation from: self! !

!RTMapExample class methodsFor: '*Roassal2GT-Inspector' stamp: 'StefanReichhart 9/6/2015 20:35'!
gtExamplesSource
	^ RTMapBuilder! !

!RTSunburstBuilderExamples class methodsFor: '*Roassal2GT-Inspector' stamp: 'StefanReichhart 9/6/2015 20:33'!
gtExamplesSource
	^ RTSunburstBuilder! !

!RTSBFadeInteractionExamples class methodsFor: '*Roassal2GT-Inspector' stamp: 'StefanReichhart 9/7/2015 21:17'!
gtExamplesSource
	^ RTSBFadeInteraction! !

!CPDiverging class methodsFor: '*Roassal2GT-Inspector' stamp: 'StefanReichhart 9/6/2015 17:14'!
gtExampleColorPalette
	<gtExample>
	<label: 'Colors: diverging scheme'>
	
	^ self new! !

!CPDiverging methodsFor: '*Roassal2GT-Inspector' stamp: 'TudorGirba 4/25/2014 15:16'!
gtInspectorPreviewIn: composite
	<gtInspectorPresentationOrder: 40>
	composite roassal2
		title: 'View';
		painting: [ :view | self viewOn: view ]! !

!RTGradientColoredLine class methodsFor: '*Roassal2GT-Inspector' stamp: 'StefanReichhart 9/6/2015 20:13'!
gtExamplesProvider

	^ RTGradientColoredLineExample new! !

!RTAbstractExample class methodsFor: '*Roassal2GT-Inspector' stamp: 'StefanReichhart 9/6/2015 19:11'!
gtExamplesProvider
	^ self new! !

!RTAbstractExample class methodsFor: '*Roassal2GT-Inspector' stamp: 'AndreiChis 1/14/2015 15:39'!
gtInspectorPreviewIn: composite
	<gtInspectorPresentationOrder: 4>
	<gtInspectorTag: #examples>
	^ self new gtInspectorPreviewIn: composite! !

!RTAbstractExample methodsFor: '*Roassal2GT-Inspector' stamp: 'AndreiChis 10/30/2014 14:40'!
gtDisplayExamplesIn: aComposite

	^ (self gtInspectorPreviewIn: aComposite)
		title: 'E.g'! !

!RTAbstractExample methodsFor: '*Roassal2GT-Inspector' stamp: 'StefanReichhart 9/9/2015 09:10'!
gtInspectorPreviewIn: composite
	<gtInspectorPresentationOrder: 4>
	^ composite roassal2
		title: 'Examples';
		when: [ self gtExamples notEmpty ];
		send: [ :example | example ];
		painting: [ :view | 
			view @ RTDraggableView.
			self gtOpenOn: view ]! !

!RTAbstractExample methodsFor: '*Roassal2GT-Inspector' stamp: 'AlexandreBergel 10/27/2015 14:54'!
gtOpenOn: v
	|  icon64Mime form element  |

	self gtExamples do: [ :anExample |
		icon64Mime := self perform: (anExample method selector, #Icon) asSymbol.
		form := TRPlatform current formClass fromBinaryStream: 
							(TRPlatform current mimeDecodeToBytes: icon64Mime readStream).
		element := (RTBitmap new form: form) elementOn: anExample.
		element @ (RTPopup new text: anExample method selector asString).
		element @ (RTEventForwarder new eventClass: TRMouseDragging). 
		element when: TRMouseClick do: [ :event |
			self announcer announce: (RTExampleOpeningEvent new theClass: self className; theSelector: anExample method selector).
		].
		v add: element ].

	RTGridLayout new on: v elements.
	! !

!CPSequential class methodsFor: '*Roassal2GT-Inspector' stamp: 'StefanReichhart 9/6/2015 17:14'!
gtExampleColorPalette
	<gtExample>
	<label: 'Colors: sequential scheme'>
	
	^ self new! !

!CPSequential methodsFor: '*Roassal2GT-Inspector' stamp: 'TudorGirba 4/25/2014 15:16'!
gtInspectorPreviewIn: composite
	<gtInspectorPresentationOrder: 40>
	composite roassal2
		title: 'View';
		painting: [ :view | self viewOn: view ]! !

!RTComposer class methodsFor: '*Roassal2GT-Inspector' stamp: 'StefanReichhart 9/6/2015 20:13'!
gtExamplesProvider

	^ RTComposerExample new! !

!RTTreeMapBuilder class methodsFor: '*Roassal2GT-Inspector' stamp: 'StefanReichhart 9/6/2015 20:13'!
gtExamplesProvider
	
	^ RTTreeMapExample new! !

GTExampleFinder subclass: #RTExampleFinder
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Roassal2GT-Inspector'!

!RTExampleFinder class methodsFor: 'examples' stamp: 'StefanReichhart 9/9/2015 23:25'!
gtExampleInstance
	<gtExample>
	<label: 'An example finder on the source #RTExploraBuilder and provider #RTExploraBuilderExample'>
	
	^ self new
		source: RTExploraBuilder;
		provider: RTExploraBuilderExample new;
		subjects: #();
		yourself! !

!RTExampleFinder methodsFor: 'private' stamp: 'StefanReichhart 9/9/2015 19:05'!
class: aClass selector: aSelector method: aMethod to: examples
	(aSelector beginsWith: 'example') ifFalse: [ ^ self ].
	(aSelector endsWith: 'Icon') ifTrue: [ ^ self ].
	
	self example: (self class: aClass selector: aSelector method: aMethod pragma: (self newImpostorPragma: aMethod)) to: examples! !

!RTExampleFinder methodsFor: 'private' stamp: 'StefanReichhart 9/6/2015 19:50'!
newExample
	^ RTExampleSelection new! !

!RTComposedShapeExample class methodsFor: '*Roassal2GT-Inspector' stamp: 'StefanReichhart 9/6/2015 20:37'!
gtExamplesSource
	^ RTCompositeShape! !

TestCase subclass: #GLMCameraCenterActionTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Roassal2GT-Glamour-Actions'!

!GLMCameraCenterActionTest methodsFor: 'tests' stamp: 'AlexandreBergel 10/23/2015 19:07'!
testBasic

	| inst |
	inst := GLMCameraCenterAction new.
	inst roassalPresentation: GLMRoassal2Presentation new.
	inst execute! !

TestCase subclass: #GLMRoassal2ActionTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Roassal2GT-Glamour-Actions'!

!GLMRoassal2ActionTest methodsFor: 'tests' stamp: 'AlexandreBergel 10/27/2015 11:54'!
testInitialize
	| prez nbActionOriginal |
	prez := GLMRoassal2Presentation new.
	nbActionOriginal := prez actions size.
	GLMRoassal2Action initializePresentation: prez.
	self assert: prez actions size - nbActionOriginal equals: GLMRoassal2Action allLeafSubclasses size.! !

!RTAxisAdaptedBuilderExample class methodsFor: '*Roassal2GT-Inspector' stamp: 'StefanReichhart 9/6/2015 20:38'!
gtExamplesSource
	^ RTAxisAdaptedBuilder! !

!RTExploraBuilderExample class methodsFor: '*Roassal2GT-Inspector' stamp: 'StefanReichhart 9/6/2015 20:37'!
gtExamplesSource
	^ RTExploraBuilder! !

RTInteraction subclass: #RTFindInAView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Roassal2GT-Spotter'!

!RTFindInAView methodsFor: 'hooks' stamp: 'AliakseiSyrel 1/19/2015 21:36'!
initializeElement: aView

	| mb |
	mb := RTMenuBuilder new.
	mb view: aView.
	mb menu: 'Find' callback: [ 
        GTSpotterMorph new
                        extent: 400@500;
                        spotterModel: (GTSpotter on: aView);
                        openCenteredInWorld ].
	mb build! !
